Bug 130511 - Version setarch not in sync with latest kernel update
Summary: Version setarch not in sync with latest kernel update
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: setarch   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-20 21:38 UTC by Nathan G. Grennan
Modified: 2013-07-02 23:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 12:08:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nathan G. Grennan 2004-08-20 21:38:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
The kernel-2.6.8-1.521 announcement mentions setarch -L <application>,
but setarch-1.4-1 doesn't include the -L option. Neither does
setarch-1.4-2 in rawhide. I found
http://people.redhat.com/mingo/nx-patches/setarch-1.4-3.tar.gz and
compile it as an rpm. It does include -L, and seems to work.

Version-Release number of selected component (if applicable):
setarch-1.4-1

How reproducible:
Always

Steps to Reproduce:
1. setarch -L i386 /bin/true
    

Actual Results:  Don't know how to set arch to -L

Expected Results:  Program runs

Additional info:

Comment 1 Elliot Lee 2004-08-23 15:37:28 UTC
Yea well, it doesn't help when the setarch maintainer is the last one
to find out about these changes.... *gripe* :)

Comment 2 Pekka Pietikäinen 2004-08-31 18:13:59 UTC
Cool, someone already filed a bug ;). Please update (at least
rawhide), otherwise people won't be able to run wine or use mplayer
with win32 codecs...

Comment 3 Jindrich Novy 2004-10-12 12:08:39 UTC
This should be fixed in setarch-1.5-1 I built rawhide today. Please
use personality options like: setarch i386 -L /bin/true. For details
see man 8 setarch.

cheers,
Jindrich


Note You need to log in before you can comment on or make changes to this bug.